> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage Token Payroll Contributors

> Replaces all contributors of a DRAFT token payroll with the supplied active employee seats and amounts.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/manage-token-payroll-contributors
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/manage-token-payroll-contributors:
    post:
      operationId: manageTokenPayrollContributors
      summary: Manage Token Payroll Contributors
      description: >-
        Replaces all contributors of a DRAFT token payroll with the supplied
        active employee seats and amounts.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManageTokenPayrollContributorsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManageTokenPayrollContributorsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ManageTokenPayrollContributorsRequest:
      type: object
      properties:
        tokenPayrollId:
          type: string
          format: uuid
        contributors:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type: string
                format: uuid
              totalPayrollAmount:
                type: string
                pattern: ^(?:0|[1-9]\d{0,13})(?:\.\d{1,6})?$
              totalDeductionAmount:
                type: string
                pattern: ^(?:0|[1-9]\d{0,13})(?:\.\d{1,6})?$
              netPayrollAmount:
                type: string
                pattern: ^(?:0|[1-9]\d{0,13})(?:\.\d{1,6})?$
            required:
              - roleInOrgID
              - totalPayrollAmount
              - totalDeductionAmount
              - netPayrollAmount
      required:
        - tokenPayrollId
        - contributors
    ManageTokenPayrollContributorsResponse:
      type: object
      properties:
        contributors:
          type: array
          items:
            type: object
            properties:
              contributorInTokenPayrollID:
                type: string
              tokenPayrollID:
                type: string
              roleInOrgID:
                type: string
              totalPayrollAmount:
                type: string
              totalDeductionAmount:
                type: string
              netPayrollAmount:
                type: string
              roleInOrg:
                type: object
                properties:
                  roleInOrgID:
                    type: string
                  roleInOrgExternalID:
                    type:
                      - integer
                      - 'null'
                  externalEmployeeID:
                    type:
                      - string
                      - 'null'
                  person:
                    type: object
                    properties:
                      fullName:
                        type: string
                      givenName:
                        type: string
                      familyName:
                        type: string
                    required:
                      - fullName
                      - givenName
                      - familyName
                required:
                  - roleInOrgID
                  - roleInOrgExternalID
                  - externalEmployeeID
                  - person
            required:
              - contributorInTokenPayrollID
              - tokenPayrollID
              - roleInOrgID
              - totalPayrollAmount
              - totalDeductionAmount
              - netPayrollAmount
              - roleInOrg
        error:
          type: string
      required:
        - contributors
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
